{%- comment -%}
  {%- include nav/node_inactive.html 
        node = node
        path = string 
        in_section = value_or_nil
        pages = array
        cached = bool -%}
  outputs links for the inactive node and its children. The 
{%- endcomment -%}

{%- if include.cached -%}
  {%- assign nav_parenthood = include.pages
        | where_exp: "item", "item.title != nil"
        | group_by: "parent" -%}
{%- endif -%}

{%- if node.section_id -%}
  {%- assign nav_section = node.section_id -%}
{%- else -%}
  {%- assign nav_section = include.in_section -%}
{%- endif -%}

{%- include nav/children.html 
      node = node
      path = include.path
      in_section = nav_section -%}
      
<li class="nav-list-item">
  
  {%- if nav_children.size >= 1 -%}
    <a href="#" class="nav-list-expander"><svg viewBox="0 0 24 24"><use xlink:href="#svg-arrow-right"></use></svg></a>
  {%- endif -%}
  
    <a href="{{ node.url | absolute_url }}" class="nav-list-link">
        {%- if node.title == "VOXL Developer Bootcamp" -%}<i class="fa-solid fa-graduation-cap" style="font-size: medium; padding: 0.5em;"> </i> {%- endif -%}
        {%- if node.title == "Home" -%}<i class="fa-solid fa-home" style="font-size: medium; padding: 0.5em;"> </i> {%- endif -%}
        {%- if node.title == "VOXL SDK" -%}<i class="fa-solid fa-microchip" style="font-size: medium; padding: 0.5em;"> </i> {%- endif -%}
        {%- if node.title == "VOXL Autopilot & Compute" -%}  <img src="../icons/wwe.svg" class="filter-none" /> {%- endif -%}
        {%- if node.title == "VOXL Dev Kits" -%} <i class="fa-solid fa-screwdriver-wrench" style="font-size: medium; padding: 0.4em; margin-right: 4px;"></i> {%- endif -%}
        {%- if node.title == "Dev Drones" -%} <img style="width: 8%; max-width:22px; margin-right: 9px; margin-left:5px; vertical-align: middle;" src="../icons/test.svg" />  {%- endif -%}
        {%- if node.title == "Modems" -%}<i class="fa-solid fa-tower-broadcast" style="font-size: medium; padding: 0.35em; margin-right: 4px;"> </i> {%- endif -%}
        {%- if node.title == "Expansion Boards" -%}<i class="fa-solid fa-sim-card" style="font-size: medium; padding: 0.5em; margin-right: 4px;"> </i> {%- endif -%}
        {%- if node.title == "Accessories" -%}<i class="fa-solid fa-plug" style="font-size: medium; padding: 0.5em; margin-right: 5px;"> </i> {%- endif -%}
        {%- if node.title == "Deprecated" -%}<i class="fa-solid fa-ban" style="font-size: medium; padding: 0.5em;"> </i> {%- endif -%}
        {%- if node.title == "Downloads" -%}<i class="fa-solid fa-download" style="font-size: medium; padding: 0.5em;"> </i> {%- endif -%}
        {%- if node.title == "Contact" -%}<i class="fa-solid fa-address-book" style="font-size: medium; padding: 0.5em;"> </i> {%- endif -%}
        {{ node.title }}
    </a>

{%- capture nav_newline %}
{% endcapture -%}

  {%- if nav_children.size >= 1 -%}
    {%- assign nav_path =  include.path | append: node.title | append: nav_newline -%}
    {%- include nav/links_inactive.html
          nodes = nav_children
          path = nav_path
          in_section = nav_section
          pages = include.pages -%}
  {%- endif -%}
</li>
